node.default["kosmos-ejabberd"]["version"] = "20.12"
node.default["kosmos-ejabberd"]["checksum"] = "3d2a4e9d1aa2d189017f4f310eff4d0b6c6d7cd911209cfbcca7b0ec5b577b65"
node.default["kosmos-ejabberd"]["turn_min_port"] = 50000
node.default["kosmos-ejabberd"]["turn_max_port"] = 55000

node.override["tor"]["HiddenServices"]["ejabberd"] = {
  "HiddenServicePorts" => [
    "5222 127.0.0.1:5222",
    "5223 127.0.0.1:5223",
    "5269 127.0.0.1:5269"
  ]
}

node.default["kosmos-ejabberd"]["uploads"] = {
  "domain" => "uploads.kosmos.chat",
  "max_upload_size_mb" => "100",
  "upload.pm" => {
    "repo" => "https://gitea.kosmos.org/kosmos/ngx_http_upload.git",
    "revision" => "0.2"
  }
}
